KValueSelector Class Reference

`#include <kcolordialog.h>`

Inheritance diagram for KValueSelector:

## Public Member Functions

| KValueSelector (QWidget *parent=0, const char *name=0)
| KValueSelector (Orientation o, QWidget *parent=0, const char *name=0)
int | hue () const
void | setHue (int h)
int | saturation () const
void | setSaturation (int s)
void | updateContents ()
Public Member Functions inherited from KSelector
| KSelector (QWidget *parent=0, const char *name=0)
| KSelector (Orientation o, QWidget *parent=0L, const char *name=0L)
Orientation | orientation () const
QRect | contentsRect () const
void | setIndent (bool i)
bool | indent () const
void | setValue (int value)
int | value () const
void | setMinValue (int value)
int | minValue () const
void | setMaxValue (int value)
int | maxValue () const

## Protected Member Functions

virtual void | drawPalette (QPixmap *pixmap)
virtual void | resizeEvent (QResizeEvent *)
virtual void | drawContents (QPainter *painter)
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KSelector
virtual void | drawArrow (QPainter *painter, bool show, const QPoint &pos)
virtual void | valueChange ()
virtual void | paintEvent (QPaintEvent *)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | wheelEvent (QWheelEvent *)

## Additional Inherited Members

Signals inherited from KSelector
void | valueChanged (int value)
Properties inherited from KSelector
int | value
int | minValue
int | maxValue

## Detailed Description

Widget for color value selection.

See also
  KHSSelector, KColorDialog

Author
  Martin Jones (mjone.nosp@m.s@kd.nosp@m.e.org)

Definition at line 102 of file kcolordialog.h.

## Constructor & Destructor Documentation

KValueSelector::KValueSelector | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a widget for color selection.

Definition at line 262 of file kcolordialog.cpp.

KValueSelector::KValueSelector | ( | Orientation | o,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a widget for color selection with a given orientation.

Definition at line 269 of file kcolordialog.cpp.

## Member Function Documentation

void KValueSelector::drawContents | ( | QPainter * | painter | ) |

protected virtual

Reimplemented from KSelector.

The drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used.

Reimplemented from KSelector.

Definition at line 287 of file kcolordialog.cpp.

void KValueSelector::drawPalette | ( | QPixmap * | pixmap | ) |

protected virtual

Draws the contents of the widget on a pixmap, which is used for buffering.

Definition at line 292 of file kcolordialog.cpp.

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys